Summary: CentOS yum.conf default; separate from yum itself
Name: centos-yumconf
Version: 1
Release: 5
Copyright: GPL
Group: System Environment/Base
Source0: centos-yum.conf
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/centos-yumconf-root
ExclusiveArch: i386

%description
This is the official list of CentOS RPM repositories; many of which are commented
out by default. As official mirrors for CentOS change, a new (signed)
centos-yumconf package will be available.  That way, for a default installation
where /etc/yum.conf symlinks to /etc/centos-yum.conf, performing a normal
'yum update' will also update the list of mirrors; however, individual
sysadmins can simply break the symlink and maintain their own yum.conf file.

#%prep

#%build

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -f %{SOURCE0} $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

#we have to munge yum.conf if it and not our symlink exists 
%pre
[ -f /etc/yum.conf ] && [ ! -L /etc/yum.conf ] mv /etc/yum.conf /etc/yum.conf-SAVE 2> /dev/null || :
[ -L /etc/yum.conf ] && rm -f /etc/yum.conf
[ ! -L /etc/yum.conf ] && ln -s /etc/centos-yum.conf /etc/yum.conf  2> /dev/null || : 
 

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/centos-yum.conf

%changelog
* Thu Feb 26 2004 Lance Davis <lance@caosity.org
- commented testing repo

* Wed Feb 18 2004 Lance Davis <lance@caosity.org>
- Modified for CentoS

* Tue Dec 23 2003 David L. Parsley <parsley@taolinux.org>
- Add testing repository

* Thu Dec  4 2003 David L. Parsley <parsley@taolinux.org>
- Inititial release
